mIRC Homepage

Khaled pls create a DCC exploit Fix for 6.0x users

Posted By: loner

Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 10:37 AM

In some scripting web actually there is an add-on called Exploit Fix created for the DCC exploits in 6.1x versions, but -i don't applied in the 6.0x versions. It's a nice add-on, but definitely not useful for the users which choose to stick to 6.03. And using 6.1x with the DCC exploit fix, I think many will rather uses 6.12. I understood that 6.1 purpose is to replace 6.03 and 6.11 to replace 6.1 is replaced with 6.12. Yet the problem is, many voices still prefered 6.03 version. And of course the hard work of Khaled and team members in the 6.1x should be appreciated and not to be neglected, But an IRC client writer should not just work according to his/her own will, but also to spare a thought and try to satisfy the needs of some users. This need for a DCC exploit fix for 6.0x is not an unreasonable request, I'm sure many will greatly appreciate even more. Being a minor script writer myself, I feel that what is most satisfying to a work producer, is not his/her own satisfation of his/her own work, but the aknowlegdement and appreciation of the users when he/her reached the expectations/needs of the users. Khaled, I'm sure when you 1st created mIRC is not just for yourself, but also for the use of people, so of course you have to think for them. Maybe you are already working on it, but just that we do not know. Hopefully there will be a fix for 6.0x as I logged into your web everyday to keep a lookout. Hmm, don't disappoint your users or one day some other IRC clients might suppass you. Keep up the good work and keep improving cause there are alway rooms for improvement, that's how you get better. Currently mIRC is still my favourite IRC client.
Posted By: Watchdog

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 10:41 AM

Khaled pls create a DCC exploit Fix for 6.0x users

As per a recent remark from Krejt, he did. It's called 6.12 which can be gotted from here.
Posted By: loner

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 11:23 AM

I knew that he made the fix which is the 6.12 for the 6.0x and 6.1x users, but my post is for those who still prefered to stick to 6.03 instead of changing to 6.12 if you read carefully. Without the fix, is as good as forcing those who refuse to use 6.12 to use/choose to get crashed over & over again like what is happening for the past few days in the whole net that I frequent. We have an option which is to use 6.12, some might think that it serve us right, but if you don't prefer 6.03 still, you will never understand how we felt. Having another option to make a fix for all 6.0x users who do not want to use 6.12 wouldn't kills right Khaled? Instead you will gain more appreciation from more users. Isn't that the way?
Posted By: Watchdog

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 11:39 AM

Some people also prefer 5.91 to 6.03 because is has three stars int he event prefixes instead of one. Should Khaled patch 5.91 too? Then there is 5.61 where some people didn't like the brighter icons of 5.7 (I think), should Khaled patch 5.61 because of this?

Should Micro$oft patch Windows V3.1 because the 386 fraternity think that 8 bit computing with that OS is a speed daemon? Of course not. People are encouraged to use XP which has 50,000 times the power of 3.1 even though people need to use a 32 bit machine to run it.

Software is updated for a reason and where humanly possible, people should use the very latest,, purposefully to avoid the exploits that people often do discover. Why should Khaled break his back for 0.00000001% of people that don't happen to like changes.

For the record the toolbar styles don't bother me. If that contributes to more powerful visual functions in later versions then it's a good thing. I would suggest that Khaled consider a "Lock toolbars" option, aka Internet Exploder and Micro$oft Orifice, which hides the grippers. I don't agree with the 6.1(X) dismembering of the toolbar arrangement, though this in itself is merely personal opinion and certainly nothing which stops me making my computers and network as secure as possible. For me, security comes infront of asthetics any day of the week which is why I am a 6.12'er.

Full marks to Khaled for releasing 6.12 so quickly.
Posted By: Online

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 01:15 PM

There are two solutions for 6.03 users. The first one is as simple as this:
  • On *:logon:*:.ignore -wd *
    On *:notice:dcc & *:?:.ignore -xu10 $nick
Since any valid DCC request must be preceded by a private notice, only people who send it will be added to the ignore exceptions. In this way, those exploiters who join busy channels and send a channel-wide CTCP to everyone will be totally ignored.

This code however doesn't guarantee you will be 100% protected, because if a smart exploiter fakes a private notice followed by the crashing CTCP, your mIRC will end up dead. But I think that would rarely happen, if at all, and you can still be happy with this code.

Another solution covers the rare possibility as well, by comparing the file that is specified in the private notice against the file that is included in the CTCP message and rejecting it in case of mismatch.

This script is a little bit longer than the other solution so I won't bother the readers, but you can get it here.

Although this one should completely protect you against malicious exploiters, it has two disadvantages of its own - it only reacts on DCC sends, leaving chats and fserves ignored, and and it doesn't let you request resume for partially-downloaded files due to the way it works.

So far both solutions seem to work as expected, but it would be nice like to get some feedback from you.

Good luck laugh
Posted By: tontito

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 02:39 PM

there is another m8
try this for 6.03 or less if you hardcode the on load event smile
http://www.mircscripts.org/comments.php?id=2120
Posted By: Online

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 02:50 PM

Yea using a personal "proxy" to filter out the exploiting DCC should work for any version, good idea wink
Posted By: tontito

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 02:55 PM

smile
Posted By: Mentality

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 04:26 PM

Whatever your opinion on the matter, this topic has died it's death.

Instead, why don't you use the other abominably rude threads? whine here or why not here too?

6.12 is the fix. There are no negative *major* changes, except the movement of a few features/popups. *waits for the huge long list of obscurities*

Regards,
Posted By: codemastr

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 04:31 PM

Why should they post it on the other threads? They're unhappy with mIRC and they want to be sure their dissatisfaction is known.
Posted By: Mentality

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 04:40 PM

Because it's just got tedious now, and there's no point to it? If they want their opinion known, then they can private message Khaled/Krejt, or email them, they don't have to keep letting everyone else know, especially people who can't do anything about it in the first place - even better, post on the existing threads..think of it as a petition smile - These boards are not one giant petition board, or a place to repetitively whine, it's for people to get help, make suggestions, report bugs and discuss "general" things (not over and over again).

If he wants to make one, he will. He probably would have decided whether he is going to or not - I hope he does, purely because it'll be nice to know that people who are adamant to remain with 6.03 are safe, but if he doesn't, it's his choice and no amount of arguing is going to change it (after all, every point has been mentioned at least three times now).

Regards,
Posted By: Theos

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 07:10 PM

Quote:
These boards are not one giant petition board, or a place to repetitively whine, it's for people to get help, make suggestions...


I was under the impression, that asking if/for a patch, WAS a suggestion...
Why do you use mirc over bitchx, xchat or some other client? or linux over windows? because you like the features etc of the product you chose. If you don't like something, you don't use it, to get told by other users you are stupid for wanting a fix is stupid in itself.

Watchdog:
You used the example of windows. However, there is a major flaw in this arguement. Microsoft still create patches for older versions. Take the blaster virus 'exploit'. Windows 9x/2000/XP users could all patch against it. Why? because some people dont want to use the new xp, they prefer the older versions. Were microsoft to stop support for 9x and 2000, they know they would lose a lot of money and users as well as leaving a large chunk of the internet exploitable. People have, and will always stick with what they like, and if you are a developer, you should listen to your 'market'.

What about those users who have paid their registration fee and have been happy since its release upto 6.0x, when 6.1 came out, lots of people didnt like it, but chose to stick with the old version, now its highly exploitable. These people have paid to get told they can use their old versions, which they are happy with, and get crashed every 5 secs, upgrade to a version they don't want to use, or lose their money and go to a completely different client.
A windows patch would be easy to use as codemaster said in an earlier thread, it would be an .exe - and those who have used mirc for so long and have 6.0x who dont want to upgrade, can't be complete novices that they can't work a patch.
Posted By: CtrlAltDel

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 07:14 PM

Quote:
Microsoft still create patches for older versions.


Yes, but Micro$haft CHARGES for NEW versions, too!
Posted By: Mentality

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 07:52 PM

Ugh, just so people know, the reason I am no longer replying to hardly anything related to this topic anymore is not because I have changed my mind and can't say anything back, but in fact because I am just exhausted with it now...

I will say one thing though:

I hope Khaled releases this sought after 6.03 patch, really I do, but if he doesn't, give 6.1x a chance. I didn't like a few of the features/changes that were made in 6.1, but after 2.5 months after it's release, I have now gotten used to them and I've nearly forgotten what 6.03 was like at all. I doubt any of you 6.03 users have given 6.1x more than 48 (maybe 72) hours of your time, let alone 2.5 months.

Honestly, I now actually like 6.1. I like(d) 6.03 too, and because it was released for so long, I got used to it, which is why I didn't like some of the features - but I now like the 6.1 layout (after giving it a chance and getting used to it).

Some of you just refuse to cooperate though, and I'm not prepared to waste anymore of my energy on this. And you wonder why Khaled doesn't post...*sigh*

Regards,
Posted By: codemastr

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 07:59 PM

You say "cooperate" I say "settle." Why exactly should we "cooperate"? There are plenty of clients out there, if we don't like the new mIRC why exactly should we "cooperate" and use it anyway?

I'll tell you, I stopped using mIRC about a day ago, and ever since I'm amazed at how many great features are in my new client that I've wanted in mIRC for ages that Khaled refused to add! I can now write scripts in just about any language I want, things such as "reordering" the switchbar buttons (which I alone suggested at least 5 times) is already available, customizable toolbars, menus, everything I ever wanted in mIRC is available else where. And the best part, when there is something that the client is missing, the author actually responds about the suggestion! It's nice when you suggest a feature and you get told "great idea, I'll add it in the next version" or even "well that's a nice idea, but I won't do it because of A, B, C" or "that can cause problems. You didn't think of A in your suggestion." It's great knowing my opinion is valued. Again, this is the kind of thing I've been saying Khaled should do for a long time now. So again I ask, why should I "settle" for mIRC when in my opinion, there are better things available?
Posted By: sparta

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 08:47 PM

You pay for new versions of windows yes, but they suply with patches/fixes for older windows too.. smile and they are free wink
Posted By: bunar

Re: Khaled pls create a DCC exploit Fix for 6.0x users - 15/10/03 08:55 PM

can you recommend any good irc client other than mIRC that can ALSO be scripted as you say? (pls)
Posted By: d00dman

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 15/10/03 09:22 PM

Your attempt at debunking Watchdog's example is also flawed. Windows 98, 2000, XP are all completely seperate products. mIRC v6.03 and mIRC v6.12 are not seperate products. I think that is a pretty important distinction to understand. Also, I won't get into comparing the resources between the two software companies here smile

That said, I don't think he should go to the trouble to update 6.03. Software development works by moving forward, not by bending over backward to please a small minority. If you have problems with 6.12, suggest alternatives to that version and help it to improve.

Quote:

These people have paid to get told they can use their old versions, which they are happy with, and get crashed every 5 secs, upgrade to a version they don't want to use, or lose their money and go to a completely different client.


Nobody has been 'told' anything. As you said yourself, you have been given a choice between 6.03 or 6.12. What you're asking for is beyond anything that Khaled has ever offered in the past.

Of course, this is all just MHO.

-chris
Posted By: Theos

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 15/10/03 09:55 PM

Yeah ok, in a way they ARE seperate products, but XP is NT 5.1 so in effect its an upgrade of NT, yet both get patch fixes for new exploits. Also while you do have to pay for windows, you should pay for mirc too (although alot choose not to).

I have no problem with 6.0x except the new exploit, otherwise i would have upgraded to v6.12, as a whole i don't like it, ranging from its new layout to the exe checksum, which obviously wont be changed, afterall why would he go to all the trouble of changing the layout and stoping us from removing version replys etc if hes gonna change it all back in the next release?
With respect to him bending over backwards for a small minority, its not actually small, theres tonnes of people not wanting to upgrade hence all the posts here and people still using 5.91 and 6.0x even since 6.1
Posted By: starbucks_mafia

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 01:43 PM

You only pay for mIRC once, whereas if you have NT and go to a shop to ask if you can have XP for free they'll laugh you right out of the store. Hence different products.

So far the only real negative things people can actually come up with in 6.1x are a few minor GUI changes. Sorry but I find that to be a completely ridiculous reason for people to not upgrade. The integral check and the About/Registration dialog appearing are both moot points seeing as they only affect people who are breaking the licence agreement.
Posted By: codemastr

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 04:40 PM

Funny, I got my WinXP Pro (legally) free. I paid a one time $80 fee and now I get many MS software titles totally free.
Posted By: cold

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 04:53 PM

He was actually suggesting that to mIRC users, who don't want to change their client. You're not using mIRC anymore, therefore you're not included. Like you just said, in other words, you don't have to bother.
Posted By: codemastr

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:02 PM

Correct, I don't _have_ to bother, but I _want_ to bother.
Posted By: starbucks_mafia

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:06 PM

I was replying to Theos stating that XP is a 'sort of' new version of NT, I was explaining one reason why it isn't the same as with mIRC 6.0x and mIRC 6.1x. Clearly since you're getting 'many MS software titles' for that $80 fee it has nothing to do with a free upgrade option for NT to XP.
Posted By: codemastr

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:12 PM

Actually yes it totally does. The problem is, you didn't think it through. With mIRC, you are paying for an "upgrade contract" that is, upgrades are included in the fee. With Windows, you have a "single title contract" that is, you just get that one version. However, MS does sell "upgrade contracts." Do you think companys/schools/governments are gonna go down to the local software store every year or so and buy a few thousands CDs to upgrade their software? Of course not, they get an upgrade contract from MS. Thats what I have. The one I'm in is through my school. The school has a contract with MS where they pay a set fee and you can get free upgrades (I think it costs the school something like $8000 a year). To cover this, the school then charges students who wish to participate. So I pay my $80 and I get all the free updates I want from MS because instead of having a "single title contract" I purchased an "upgrade contract."

You're right you can't compare mIRC to Windows in the standard sense because they work differently, but if you pay the licensing fees, the Windows works just like mIRC.
Posted By: cold

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:12 PM

Like in another thread, I'll just drop it.
Posted By: starbucks_mafia

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:26 PM

Yes but the point is that you're paying a different amount so that you can get free upgrades from one OS to a newer one, you're not paying for a program and then getting new versions of that same program. It's simply not the same as a new version, it's a different product which in NT-to-XP's case just happens to have the same same lineage.
Posted By: RiffRaff

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 16/10/03 06:52 PM

what about apache 2.0.x and 1.3.x? Altough "Apache 2.0.47 is the best available version", they still released a bugfix version for the 1.3.x line.
Posted By: lonesome

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 17/10/03 03:52 AM

IMO, we should all stop comparing software, as there will be neverending differences. Frankly speaking, Khaled has the rights to decide whether or not he wishes to release a bugfix for 6.03. If he feels that 6.12 should indeed be the "bugfix version" for 6.03, so be it. No point complaining and comparing any further. Khaled is the author! We don't get to tell M$ what to do either, do we? smile
Posted By: Wendymr

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 20/10/03 06:15 PM

Well, I'm one who did upgrade to 6.12 and immediately discovered that my DCC send no longer worked. :tongue: Having failed to get any kind of suggestion at all to resolve this problem, I went back to 6.03, where DCC works perfectly.

(Incidentally, I do like version 6.1x, but 6.11, my previous version, is no longer available for download. I could only get 6.03 from a PC magazine CD-Rom).

So don't suggest that 6.12 is the cure for all ills, 'cause it ain't.
Posted By: WhoJoeDaddy

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 20/10/03 06:16 PM

/me thinkin operator errors
Posted By: Wendymr

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 20/10/03 08:05 PM

You can think all you like. But several people who chat with me have all had the same problem since upgrading, and I'm not the only person to have posted here with this problem. Nothing else on my PC - software, usage, anything at all - changed apart from the upgrade from 6.11 to 6.12.

If you put the same effort into trying to help people as you do into being sarcastic, you might actually serve a useful purpose around here.
Posted By: WhoJoeDaddy

Re: Khaled pls create a DCC exploit Fix for 6.0x u - 20/10/03 08:17 PM

ooo that stung
© 2019 mIRC Discussion Forums